diff a/src/hotspot/cpu/ppc/continuationFreezeThaw_ppc.inline.hpp b/src/hotspot/cpu/ppc/continuationFreezeThaw_ppc.inline.hpp
--- a/src/hotspot/cpu/ppc/continuationFreezeThaw_ppc.inline.hpp
+++ b/src/hotspot/cpu/ppc/continuationFreezeThaw_ppc.inline.hpp
@@ -332,10 +332,17 @@
     patch_callee_link(hf, (intptr_t*)badAddress);
   }
 #endif
 }
 
+inline intptr_t* AnchorMark::anchor_mark_set_pd() {
+  return _top_frame.sp();
+}
+
+inline void AnchorMark::anchor_mark_clear_pd() {
+}
+
 //////// Thaw
 
 // Fast path
 
 inline void ThawBase::prefetch_chunk_pd(void* start, int size) {
@@ -561,10 +568,15 @@
                                             p2i(ContinuationEntry::cleanup_pc()));
 
   return enterSpecial.sp();
 }
 
+inline intptr_t* ThawBase::push_preempt_adapter() {
+  Unimplemented();
+  return nullptr;
+}
+
 inline void ThawBase::patch_pd(frame& f, const frame& caller) {
   patch_callee_link(caller, caller.fp());
   // Prevent assertion if f gets deoptimized right away before it's fully initialized
   f.mark_not_fully_initialized();
 }
